<header class="topbar ">
    <h3 class="header-title fz21-B">{{'Services A-Z' | translate}}</h3>
    <a ng-click="goBack()" class="header-icon"></a>
</header>
<!-- Letters index -->
<!--<div class="azFilter">
    <ul class="list-unstyled">
        <li ng-repeat="items in azFilter track by $index">
            <button class="fz12-B" id="index-{{items}}" ng-click="goTo(items)">{{ items }}</button>
        </li>
    </ul>
</div>-->
<div class="page bg-white filters">

    <div class="main has-navbar" id="searvicesAZContainer">
        <div class="filterHolder">
            <button class="btn-mapView fz16-R" ng-click="filter.toggle =! filter.toggle" ng-class="{'filterBtn' : filterOn.toggleShow}">
                <div class="filterIcon"></div>
            </button>

            <!-- Selected filters -->
            <div class="filterSelected" ng-show="filterOn.toggleShow">
                <span class="badge badge-pill badgeFilter fz14-B {{filters.class}}" ng-repeat="filters in selectedCategoryFilters track by $index" ng-hide="filterSelected.toggleHide">{{filters.name | translate}}
                    <div class="closeFilter" ng-click="removeFilter(filters)">
                    </div>
                </span>
                <span class="badge badge-pill badgeFilter fz14-B {{filters.class}}" ng-repeat="filters in selectedUnitFilters track by $index" ng-hide="filterSelected.toggleHide">{{filters.filter | translate}}
                    <div class="closeFilter" ng-click="removeFilter(filters)">
                    </div>
                </span>
            </div>

            <div class="filterInput mt-3 mb-3">
                <!-- <a class="backArrow" ></a> -->
                <input id="servicesAZSearch" class="hero-input hero-inputSearch warmGrey" type="text"
                       placeholder="{{ 'Search for services' | translate }}" name="search" ng-model="searchText"
                       ng-keyup="searchAZ()">
                <!--<a class="btn icon-microphone micDash" ui-sref="voiceRecord">
                    <img class="microphone-img" src="assets/img3.0/icons8-microphoneNormal.png" alt="microphone">
                    </a>
                -->
            </div>
        </div>
        <div class="main-content" id="resultsContainer" when-scrolled="loadMore()">

            <div class="filter-result">


                <div>
                    <div ng-repeat="service in servicesList | searchByTitle:searchText  track by $index"
                         ng-if="servicesList.length > 0 && $index < limit" class="list-per-index">
                        <a ng-if="service.Letter" name="{{service.Letter}}-anchor"><span class="fz24-B pl-2 indexLetter" id="{{service.Letter}}-id">{{ service.Letter }}</span></a>
                        <a ng-if="service.title" class="search-Item mt-3" ng-click="toServiceDetails(service.category_id, service.originalTitle)">
                            <div class="request-icon" ng-if="service.category_id == 1"><img class="gear-icon" src="assets/img3.0/PestControl/pest.png"
                                                                                            alt="service icon"></div>
                            <div class="request-icon" ng-if="service.category_id == 2"><img class="gear-icon" src="assets/img3.0/PetsAnimals/pets.png"
                                                                                            alt="service icon"></div>
                            <div class="request-icon" ng-if="service.category_id == 3"><img class="gear-icon" src="assets/img3.0/Drainage/drainage.png"
                                                                                            alt="service icon"></div>
                            <div class="request-icon" ng-if="service.category_id == 4"><img class="gear-icon" src="assets/img3.0/WasteManagement/waste.png"
                                                                                            alt="service icon"></div>
                            <div class="request-icon" ng-if="service.category_id == 5"><img class="gear-icon" src="assets/img3.0/HealthSafety/health.png"
                                                                                            alt="service icon"></div>
                            <div class="request-icon" ng-if="service.category_id == 6"><img class="gear-icon" src="assets/img3.0/Environment/environment.png"
                                                                                            alt="service icon"></div>
                            <div class="request-icon" ng-if="service.category_id == 7"><img class="gear-icon" src="assets/img3.0/Construction/construction.png"
                                                                                            alt="service icon"></div>
                            <div class="request-icon" ng-if="service.category_id == 8"><img class="gear-icon" src="assets/img3.0/FoodSafety/food.png"
                                                                                            alt="service icon"></div>
                            <div class="request-icon" ng-if="service.category_id > 8"><img class="gear-icon" src="assets/img3.0/other-gear.png"
                                                                                           alt="service icon"></div>
                            <h3 class="request-title az-request-title" ng-bind-html="service.title">{{ service.title }}</h3>
                        </a>
                    </div>
                </div>
            </div>
            <br><br><br><br><br><br>
            <br><br><br><br><br><br>
        </div>
        <div class="requestOverlay" ng-class="{'overlayOpac' : filter.toggle}" ng-click="filter.toggle = !filter.toggle"></div>
        <div class="request-Bottom d-block filter-bottom" ng-class="{'request-BottomShowen' : filter.toggle}" ng-show="filter.toggle">
            <div class="service-info w-100 mb-4">

                <div class="service-infoBody">
                    <button class="fz19-R greyishBrown btn-Cancel" ng-click="cancelFilters(); filter.toggle =!filter.toggle">{{'Cancel' | translate}}</button>
                    <h2 class="fz24-R text-center">{{'Select Filters' | translate}}</h2>
                    <div class="filter-items mt-4">
                        <h3 class="fz16-B">{{'Service Categories' | translate}}</h3>
                        <div class="filter-item">
                            <span class="badge badge-pill badgeFilter fz14-B" ng-repeat="filters in filterItems" ng-click="filters.toggle =! filters.toggle; toggleCategoryFilter(filters.name, filters.category_id, filters.class, filters.toggle)"
                                  ng-class="{'{{filters.class}}': filters.toggle, filterWhite:  !filters.toggle}">{{ filters.name | translate }}</span>
                        </div>
                    </div>
                    <div class="filter-items mt-4">
                        <h3 class="fz16-B">{{'Departments' | translate}}</h3>
                        <div class="filter-item">
                            <span class="badge badge-pill badgeFilter fz14-B" ng-repeat="item in organizations" ng-click="item.toggle =! item.toggle; toggleUnitFilter('{{item.filter}}', 'dept-{{$index}}', item.toggle)"
                                  ng-class="{'dept-{{$index}}': item.toggle, filterWhite: !item.toggle}">{{item.filter}}</span>
                        </div>
                    </div>
                </div>
                <div class="service-infoFooter skyBlue2 text-center" ng-click="filterOn.toggleShow = true; filter.toggle =!filter.toggle; applyFilters()">
                    <a href="" class="fz17-R">{{'APPLY' | translate}}</a>
                </div>
            </div>
        </div>
    </div>
</div>
